local factionid = "House of Suns House Guard";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Unique Faction ID
CF_FactionIds[factionid] = "House of Suns House Guard";
-- Faction name	
CF_FactionNames[factionid] = "House of Suns House Guard";
-- Set true if faction is selectable by player or AI	
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconTHS";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_InfantryModules[factionid] = "THS.rte"

-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {1 , 1 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Bowen T-3"}
CF_LightWeaponSetModules[factionid] = {"THS.rte"};

CF_HeavyWeaponSets[factionid] = {"AS 12-3", "Heinkle F-10 Mule", "MPATW-3", "MG 57-I"}
CF_HeavyWeaponSetModules[factionid] = {"THS.rte", "THS.rte", "THS.rte", "THS.rte"};

CF_Probabilities[factionid] = {0.35 , 0.30 , 0.30 , 0.15};

-- Define explosives
CF_ExplosiveSets[factionid] = {"HG HE-1", "SHG HE-2", "HG ICD-3"};
CF_ExplosiveSetModules[factionid] = {"THS.rte", "THS.rte", "THS.rte"};

-- Define troops
CF_ActorSets[factionid] = {"House Guard", "Medium House Guard"};
CF_ActorSetModules[factionid] = {"THS.rte", "THS.rte"};

--Define brains
CF_BrainPresets[factionid] = "Coalition Brain";
CF_BrainPresetModules[factionid] = "UnmappedLands.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Coalition Brain" , "House Guard", "Medium House Guard", "Krupp APLA SMG Drone", "Krupp APLA SG Drone", "Krupp APLA LMG Drone", "Krupp APLA GL Drone", "Krupp Bison AR Drone", "Krupp Bison ASG Drone", "Krupp Bison RC Drone", "Krupp Bison RL Drone" , "Drop Ship MK1" , "Drop Sphere",  "Rocket MK1" , "Rocket MK2", "Small MG Turret", "SAM Site"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"MPATW-3"};
CF_RocketLauncherModules[factionid] = {"THS.rte"};

CF_SniperRifles[factionid] = {"Heinkle S-3 AMR"};
CF_SniperRifleModules[factionid] = {"THS.rte"};

-- Define dropships
CF_Dropships[factionid] = {"Drop Ship MK1"};
CF_DropshipModules[factionid] = {"Base.rte"};

CF_Droppods[factionid] = {"Drop Sphere"};
CF_DroppodModules[factionid] = {"THS.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = {"Krupp APLA SMG Drone", "Krupp APLA SG Drone", "Krupp APLA LMG Drone", "Krupp APLA GL Drone", "Krupp Bison AR Drone", "Krupp Bison ASG Drone", "Krupp Bison RC Drone", "Krupp Bison RL Drone"};
CF_ArmorCrabModules[factionid] = {"THS.rte", "THS.rte", "THS.rte", "THS.rte", "THS.rte", "THS.rte", "THS.rte", "THS.rte"};

CF_ArmorHumans[factionid] = nil
CF_ArmorHumanModules[factionid] = nil

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Compact Submachinegun"}
CF_ArmorPistolModules[factionid] = {"UnmappedLands.rte"}

CF_ArmorShields[factionid] = {"Riot Shield"}
CF_ArmorShieldModules[factionid] = {"Base.rte"}

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"MG 57-I" , "Reichs Revolving Shotgun"}
CF_EliteWeaponSetModules[factionid] = {"THS.rte", "THS.rte"}

--Define turrets
CF_Turrets[factionid] = nil;
CF_TurretModules[factionid] = nil;

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;
